# Uses of Interface
com.ocient.util.RowTransformer

Packages that use RowTransformer
Package
Description
com.ocient.cli.extract
com.ocient.util

## Uses of RowTransformer in com.ocient.cli.extract

Classes in com.ocient.cli.extract that implement RowTransformer
Modifier and Type
Class
Description
`class`
`ResultSetExtractor.ExtractTransformer`
Implementation of `RowTransformer` that sanitizes the column values, then formats the row data into a flattened, string-based representation (e.g., CSV, TSV).
Methods in com.ocient.cli.extract that return RowTransformer
Modifier and Type
Method
Description
`RowTransformer`
ResultSetExtractor.`acquire()`
Methods in com.ocient.cli.extract with parameters of type RowTransformer
Modifier and Type
Method
Description
`void`
ResultSetExtractor.`release(RowTransformer transformer)`

## Uses of RowTransformer in com.ocient.util

Classes in com.ocient.util that implement RowTransformer
Modifier and Type
Class
Description
`class`
`NullRowTransformer`
Null transformer, column values are returned as-is.
Methods in com.ocient.util that return RowTransformer
Modifier and Type
Method
Description
`RowTransformer`
NullRowTransformerFactory.`acquire()`
`RowTransformer`
RowTransformerFactory.`acquire()`
Acquires and returns a `RowTransformer` instance.
Methods in com.ocient.util with parameters of type RowTransformer
Modifier and Type
Method
Description
`void`
NullRowTransformerFactory.`release(RowTransformer transformer)`
`void`
RowTransformerFactory.`release(RowTransformer transformer)`
Releases a `RowTransformer` instance back to the factory.